import { UserRepository } from '@/repositories/user.repository';
import { RegisterUserDto } from '@/dto/register-user.dto';
import { IUser } from '@/interfaces/IUser.interface';
import { SignInUserDto } from '@/dto/sign-in-user.dto';

export class AuthService {
  private repository: UserRepository;

  constructor() {
    this.repository = new UserRepository();
  }

  signIn = async (signInUserDto: SignInUserDto): Promise<IUser> => {
    return await this.repository.signIn(signInUserDto);
  };

  register = async (registerUserDto: RegisterUserDto): Promise<IUser> => {
    return await this.repository.register(registerUserDto);
  };

  getUserByToken = async (token: string): Promise<IUser | null> => {
    return await this.repository.getUserByToken(token);
  };
}
