import { CategoryRepository } from '@/repositories/category.repository';
import { ICategory } from '@/interfaces/ICategory.interface';
import { CategoryDto } from '@/dto/category.dto';

export class CategoryService {
  private repository: CategoryRepository;

  constructor() {
    this.repository = new CategoryRepository();
  }

  getCategories = async (): Promise<ICategory[]> => {
    return await this.repository.getCategories();
  };

  createCategory = async (categoryDto: CategoryDto): Promise<ICategory> => {
    return await this.repository.createCategory(categoryDto);
  };
}
